瀏覽代碼

create target directories before creating symbolic links
do not test fxt when configured without fxt

Olivier Aumage 8 年之前
父節點
當前提交
44b5e02fa6
共有 2 個文件被更改,包括 5 次插入1 次删除
  1. 3 0
      configure.ac
  2. 2 1
      tests/datawizard/locality.sh

+ 3 - 0
configure.ac

@@ -3089,8 +3089,11 @@ AC_CONFIG_COMMANDS([executable-scripts], [
   test -e tests/microbenchs/parallel_independent_heterogeneous_tasks.sh || ln -sf $ac_abs_top_srcdir/tests/microbenchs/parallel_independent_heterogeneous_tasks.sh tests/microbenchs/
   test -e tests/microbenchs/parallel_independent_homogeneous_tasks_data.sh || ln -sf $ac_abs_top_srcdir/tests/microbenchs/parallel_independent_homogeneous_tasks_data.sh tests/microbenchs/
   test -e tests/microbenchs/parallel_independent_homogeneous_tasks.sh || ln -sf $ac_abs_top_srcdir/tests/microbenchs/parallel_independent_homogeneous_tasks.sh tests/microbenchs/
+  mkdir -p tests/datawizard
   test -e tests/datawizard/locality.sh || ln -sf $ac_abs_top_srcdir/tests/datawizard/locality.sh tests/datawizard/
+  mkdir -p examples/heat
   test -e examples/heat/heat.sh || ln -sf $ac_abs_top_srcdir/examples/heat/heat.sh examples/heat/
+  mkdir -p examples/lu
   test -e examples/lu/lu.sh || ln -sf $ac_abs_top_srcdir/examples/lu/lu.sh examples/lu/
 ])
 

+ 2 - 1
tests/datawizard/locality.sh

@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/bash -x
 #
 # StarPU --- Runtime system for heterogeneous multicore architectures.
 #
@@ -20,6 +20,7 @@
 set -e
 
 PREFIX=$(dirname $0)
+test -x $PREFIX/../../tools/starpu_fxt_tool || exit 77
 STARPU_FXT_PREFIX=$PREFIX/ $PREFIX/locality
 $PREFIX/../../tools/starpu_fxt_tool -i $PREFIX/prof_file_${USER}_0